package net.woodyfolsom.cs6601.p2;

import java.util.HashMap;
import java.util.Map;

import com.thoughtworks.xstream.annotations.XStreamAlias;

@XStreamAlias("diner")
public class Diner {
	private int id;
	private Map<Integer,Integer> ratings = new HashMap<Integer,Integer>();
	private Map<Integer,Boolean> allergies = new HashMap<Integer,Boolean>();
	
	public int getId() {
		return id;
	}
	
	public int getRating(int dishId) {
		return ratings.get(dishId);
	}
	
	public boolean isAllergic(int categoryId) {
		return allergies.get(categoryId);
	}
}
